<header class="d-flex flex-md-row align-items-center justify-content-between p-3 mb-3 bg-white border-bottom fixed-top box-shadow">
    
    <img src="/assets/images/logo.png" alt="logo" class="logo" style="max-height: 70px;" routerLink="/" >

    <nav class="my-2 text-uppercase fs-4">
        <a 
            class="p-2"
            routerLink="/" 
            routerLinkActive="active"
            [routerLinkActiveOptions]="{exact: true}"
        >Home</a>
        <a class="p-2" routerLink="/shop" routerLinkActive="active">Shop</a>
        <a class="p-2" routerLink="/test-error" routerLinkActive="active">Errors</a>
    </nav>
    
    <div class="d-flex align-items-center">
        <a routerLink="/basket" class="position-relative">
            <i class="fa fa-shopping-cart fa-2x me-5 text-dark"></i>
            <div *ngIf="(basketService.basketSource$ | async ) as basket" class="cart-no" >
                {{getCount(basket.items)}}
            </div>
        </a>
        <ng-container *ngIf="(accountService.currentUser$ | async) === null">
            <a routerLink="/account/login" class="btn btn-outline-primary me-2">Login</a>
            <a routerLink="/account/register" class="btn btn-outline-secondary me-2">Sign up</a>
        </ng-container>

        <ng-container *ngIf="accountService.currentUser$ | async as user">
            <div class="dropdown ms-3 mr-5" style="cursor: pointer;" dropdown>
                <a dropdownToggle class="dropdown-toggle p-3">
                    <strong>Welcome {{user.displayName}}</strong>
                </a>
                <ul *dropdownMenu class="dropdown-menu dropdown-menu-right">
                    <li class="py-1">
                        <a routerLink="/basket" class="dropdown-item">
                            <i class="fa fa-shopping-cart me-3"></i> View basket
                        </a>
                    </li>
                    <li class="py-1">
                        <a routerLink="/orders" class="dropdown-item">
                            <i class="fa fa-history me-3"></i> View basket
                        </a>
                    </li>
                    <div class="drodown-divider"></div>
                    <li class="py-1">
                        <a (click)="accountService.logout()" class="dropdown-item">
                            <i class="fa fa-sign-out me-3"></i> Logout
                        </a>
                    </li>
                </ul>
            </div>
        </ng-container>
    </div>
</header>